**************************************
* This program creates Table 3
**************************************

* Preliminary setup -- check packages
capture log close
log using do_tables.log, text replace
net install outreg2, from(http://fmwww.bc.edu/RePEc/bocode/o)

* Set directory path -- to where DTA and DO files are.
cd "U:\_store_work\Perceived-Multipliers\Analysis\STATA\WP archive"

*****************************************
* Read in data
*****************************************

clear
clear matrix
set more off
set mem 500m
set more off
use dta.dta

*****************************************
* Set up baseline sample
*****************************************

gen sample=1 if (eu==1|wdicode=="CHE"|wdicode=="ISL"|wdicode=="NOR")

*****************************************
* Table 3. Europe: Two-stage Least Squares
*****************************************

preserve
* Settings
local title = "Europe: Two-stage Least Squares"
* Variables
sort ifscode year
bys ifscode: gen y = 100*((1+ngdp_rpch2012fall/100)*(1+ngdp_rpch2012fall[_n-1]/100)-1)  -  100*((1+ngdp_rpch2010spring/100)*(1+ngdp_rpch2010spring[_n-1]/100)-1)
bys ifscode: gen x = ggsb_gdp2012fall-ggsb_gdp2012fall[_n-2]
bys ifscode: gen z = ggsb_gdp2010spring-ggsb_gdp2010spring[_n-2]
* Sample:
keep if year==2011
keep if sample==1
* Regression (run this to store results of first stage of 2sls):
reg x z
* Store results in outreg table
	outreg2 using T3.xls, ///
	ctitle("`title'") bdec(3) ///
	replace
* Regression:
ivreg y (x=z), first r
* Store results in outreg table
	outreg2 using T3.xls, ///
	ctitle("`title'") bdec(3) ///
	append
restore

log close

